%define oname	LibRaw

%define major		10
%define lib_raw		%mklibname raw %{major}
%define lib_raw_r	%mklibname raw_r %{major}
%define devname		%mklibname raw -d

Summary:	Library for reading RAW files obtained from digital photo cameras
Name:		libraw
Version:	0.16.2
%define subrel	1
Release:	%mkrel 1
License:	GPLv3
Group:		System/Libraries
URL:		http://www.libraw.org
Source0:	http://www.libraw.org/data/%{oname}-%{version}.tar.gz
Source1:	http://www.libraw.org/data/%{oname}-demosaic-pack-GPL2-%{version}.tar.gz
Source2:	http://www.libraw.org/data/%{oname}-demosaic-pack-GPL3-%{version}.tar.gz
Patch0:		LibRaw-0.16.0-pkgconfig-path.patch
Patch1:		LibRaw-0.16.2-CVE-2015-8366-8367.patch
BuildRequires:	libgomp-devel
BuildRequires:	lcms2-devel
BuildRequires:	pkgconfig(jasper)
BuildRequires:  cmake

%description
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

Since LibRaw is linked against LibRaw-demosaic-pack-GPL2 and
LibRaw-demosaic-pack-GPL3 the global licence is GPLv3.

#-------------------------------------------------------------------------------

%package tools
Summary:	Tools available in %name
Group:		Graphics/Utilities
Obsoletes:	%{name} < %{version}-%{release}

%description tools
This packages provides tools to manipulate raw files.

%files tools
%{_bindir}/4channels
%{_bindir}/dcraw_emu
#%{_bindir}/dcraw_half
#%{_bindir}/half_mt
%{_bindir}/mem_image
%{_bindir}/multirender_test
%{_bindir}/postprocessing_benchmark
%{_bindir}/raw-identify
%{_bindir}/simple_dcraw
%{_bindir}/unprocessed_raw

#-------------------------------------------------------------------------------

%package -n %{lib_raw}
Summary:	Raw image decoder library (non-thread-safe)
Group:		System/Libraries

%description -n %{lib_raw}
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

%files -n %{lib_raw}
%doc README README.demosaic-packs
%{_libdir}/libraw.so.%{major}*

#-------------------------------------------------------------------------------

%package -n %{lib_raw_r}
Summary:	Raw image decoder library (thread-safe)
Group:		System/Libraries

%description -n %{lib_raw_r}
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

%files -n %{lib_raw_r}
%doc README README.demosaic-packs
%{_libdir}/libraw_r.so.%{major}*

#-------------------------------------------------------------------------------
 
%package -n %{devname}
Summary:	LibRaw development libraries
Group:		Development/C
Requires:	%{lib_raw} = %{version}-%{release}
Requires:	%{lib_raw_r} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}

%description -n %{devname}
LibRaw development files and headers.

%files -n %{devname}
%doc LICENSE.* Changelog.* README*
%{_includedir}/libraw/
%{_libdir}/libraw.so
%{_libdir}/libraw_r.so
%{_libdir}/pkgconfig/libraw.pc
%{_libdir}/pkgconfig/libraw_r.pc
%{_datadir}/cmake/Modules/FindLibRaw.cmake
%{_datadir}/libraw/COPYRIGHT
%{_datadir}/libraw/Changelog.txt
%{_datadir}/libraw/LICENSE.CDDL
%{_datadir}/libraw/LICENSE.LGPL
%{_datadir}/libraw/LICENSE.LibRaw.pdf
#-------------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%apply_patches

%build
tar xzvf %{SOURCE1}
tar xzvf %{SOURCE2}

%cmake -DENABLE_DEMOSAIC_PACK_GPL2=ON -DENABLE_DEMOSAIC_PACK_GPL3=ON
%make

%install
%makeinstall_std -C build

# The source tree has these with execute permissions for some reason
chmod 644 LICENSE.CDDL LICENSE.LGPL LICENSE.LibRaw.pdf

# let files section handle docs
rm -fr %{buildroot}%{_datadir}/doc/*

# we don't want these
find %{buildroot} -name "*.la" -delete


%changelog
* Tue Dec 08 2015 luigiwalser <luigiwalser> 0.16.2-1.1.mga5
+ Revision: 908922
- add patch from fedora to fix CVE-2015-8366 and CVE-2015-8367

* Mon May 18 2015 luigiwalser <luigiwalser> 0.16.2-1.mga5
+ Revision: 822341
- remove patch now that libkdcraw can work with exceptions
- add patch to revert throwing exception in header file (broke libkdcraw build)
- 0.16.2

* Mon May 11 2015 luigiwalser <luigiwalser> 0.16.1-1.mga5
+ Revision: 821875
- 0.16.1 (fixes integer overflow)

* Wed Oct 15 2014 fwang <fwang> 0.16.0-6.mga5
+ Revision: 751264
- fix all paths

* Wed Oct 15 2014 fwang <fwang> 0.16.0-5.mga5
+ Revision: 751128
- fix include path in cmake

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.16.0-4.mga5
+ Revision: 681744
- Mageia 5 Mass Rebuild

* Mon May 12 2014 neoclust <neoclust> 0.16.0-3.mga5
+ Revision: 622206
- Enable Demosaic Pack GPL3 support and Demosaic Pack GPL2 support support

* Mon Feb 17 2014 neoclust <neoclust> 0.16.0-2.mga5
+ Revision: 593840
- Build with cmake

* Wed Feb 05 2014 wally <wally> 0.16.0-1.mga5
+ Revision: 583410
- new version 0.16.0
- new major 10

* Sat Oct 19 2013 umeabot <umeabot> 0.15.4-2.mga4
+ Revision: 533512
- Mageia 4 Mass Rebuild

* Sat Aug 31 2013 luigiwalser <luigiwalser> 0.15.4-1.mga4
+ Revision: 473728
- 0.15.4

* Fri Jul 12 2013 luigiwalser <luigiwalser> 0.15.3-1.mga4
+ Revision: 453470
- 0.15.3

* Tue May 28 2013 wally <wally> 0.15.2-1.mga4
+ Revision: 429634
- new version 0.15.2
- new major 9

* Sat Jan 12 2013 umeabot <umeabot> 0.14.7-5.mga3
+ Revision: 358060
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Fri Nov 30 2012 ovitters <ovitters> 0.14.7-4.mga3
+ Revision: 323441
- clean spec
- fix rpm group

* Sun Jul 08 2012 fwang <fwang> 0.14.7-3.mga3
+ Revision: 268850
- br jasper

* Sun Jul 08 2012 fwang <fwang> 0.14.7-2.mga3
+ Revision: 268846
- use lcms2

* Sun Jul 08 2012 wally <wally> 0.14.7-1.mga3
+ Revision: 268841
- new version 0.14.7

* Sun Jun 03 2012 tv <tv> 0.14.6-1.mga3
+ Revision: 253663
- new release

* Tue Dec 27 2011 wally <wally> 0.14.5-1.mga2
+ Revision: 188169
- new version 0.14.5

* Wed Dec 14 2011 wally <wally> 0.14.4-1.mga2
+ Revision: 181533
- new version 0.14.4

* Fri Oct 28 2011 fwang <fwang> 0.14.3-1.mga2
+ Revision: 158927
- new version 0.14.3

  + schultz <schultz>
    - update to 0.14.1
    - clean .spec

* Sun Oct 09 2011 wally <wally> 0.14.0-1.mga2
+ Revision: 153494
- new version 0.14.0
- new major 5
- new version 0.13.8

* Tue Jul 05 2011 wally <wally> 0.13.6-2.mga2
+ Revision: 118879
- disable static build
- fix lib package summaries

* Mon Jul 04 2011 fwang <fwang> 0.13.6-1.mga2
+ Revision: 118392
- new version 0.13.6

* Tue Jun 14 2011 wally <wally> 0.13.5-1.mga2
+ Revision: 106182
- new version 0.13.5

* Sat May 07 2011 wally <wally> 0.13.2-4.mga1
+ Revision: 95859
- drop empty package
- libify devel package
- tag more files as doc
- prettify .spec a bit

* Thu Mar 24 2011 boklm <boklm> 0.13.2-3.mga1
+ Revision: 76181
- rebuild for bug #497

* Thu Mar 10 2011 mikala <mikala> 0.13.2-2.mga1
+ Revision: 67695
- Disable disable-openmp
- Remove _disable_ld_no_undefined

* Thu Mar 10 2011 mikala <mikala> 0.13.2-1.mga1
+ Revision: 67667
- use make instead of %%make
- Update tarball to 0.13.2
- Add LibRaw-demosaic-pack-GPL2
- Add LibRaw-demosaic-pack-GPL3
- Update License to GPLv3
- Add a -tools subpackage where binary are stored
- Clean spec
- imported package libraw

